Bug 842620 - tomcat - compile with -target 1.5 or greater
tomcat - compile with -target 1.5 or greater
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: tomcat (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ivan Afonichev
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: 842394
  Show dependency treegraph
 
Reported: 2012-07-24 05:26 EDT by Mikolaj Izdebski
Modified: 2012-12-20 10:44 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 10:44:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mikolaj Izdebski 2012-07-24 05:26:55 EDT
Package tomcat appears to be using Java generics,
but generates class files in format older than 49.0,
which corresponds to J2SE 5.0, in which generics were introduced.

Please update this package to generate classes in format 49.0 or
above. This corresponds to -target 1.5 option of javac (or ecj).

For more information, see bug #842394
Comment 1 Ivan Afonichev 2012-08-24 17:08:30 EDT
It seems tomcat package already build in 50 format.
also build.xml:


  <!-- Servlet 3.0 spec requires 1.6+ -->
  <property name="compile.source" value="1.6"/>
  <property name="compile.target" value="1.6"/>
Comment 2 Mikolaj Izdebski 2012-08-27 04:48:36 EDT
These 2 jars have classes in format 48.0:
  /var/lib/tomcat/webapps/examples/WEB-INF/lib/jstl.jar
  /var/lib/tomcat/webapps/examples/WEB-INF/lib/standard.jar
These are part of tomcat-webapps binary RPM build from tomcat SRPM

To see the full list of affected classes, you can try:
  curl http://mizdebsk.fedorapeople.org/jsr14-rawhide-2012-07-23.gz | zgrep ^tomcat-webapps-

You can also use javap to check class versions.
Comment 3 Fedora Update System 2012-10-17 17:22:12 EDT
tomcat-7.0.32-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/tomcat-7.0.32-1.fc18
Comment 4 Fedora Update System 2012-10-17 23:35:38 EDT
Package tomcat-7.0.32-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing tomcat-7.0.32-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16389/tomcat-7.0.32-1.fc18
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-12-20 10:44:05 EST
tomcat-7.0.32-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.